Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml.dom
Class DOMCategory

    java.lang.Object
      groovy.xml.dom.DOMCategory

    class DOMCategory
    extends Object

author:
  sam

author:
  paulk

Nested Class Summary
`class` | `DOMCategory.NodeListsHolder`
`class` | `DOMCategory.NodesHolder`

Constructor Summary
`DOMCategory()`

Method Summary
`static org.w3c.dom.Element` | `appendNode(org.w3c.dom.Element self, Object name)`
`static org.w3c.dom.Element` | `appendNode(org.w3c.dom.Element self, Object name, Map attributes)`
`static org.w3c.dom.Element` | `appendNode(org.w3c.dom.Element self, Object name, String value)`
`static org.w3c.dom.Element` | `appendNode(org.w3c.dom.Element self, Object name, Map attributes, String value)`
`static org.w3c.dom.NamedNodeMap` | `attributes(org.w3c.dom.Element element)`
`static org.w3c.dom.NodeList` | `breadthFirst(org.w3c.dom.Element self)`
`static org.w3c.dom.NodeList` | `children(org.w3c.dom.Element self)`
`static org.w3c.dom.NodeList` | `depthFirst(org.w3c.dom.Element self)`
`static Object` | `get(org.w3c.dom.Element element, String elementName)`
`static Object` | `get(org.w3c.dom.NodeList nodeList, String elementName)`
`static Object` | `get(org.w3c.dom.NamedNodeMap nodeMap, String elementName)`
`static org.w3c.dom.Node` | `getAt(org.w3c.dom.Node o, int i)`
`static org.w3c.dom.Node` | `getAt(NodeListsHolder o, int i)`
`static org.w3c.dom.Node` | `getAt(NodesHolder o, int i)`
`static boolean` | `isEmpty(org.w3c.dom.NodeList self)`
`static List` | `list(org.w3c.dom.NodeList self)`
`static String` | `name(org.w3c.dom.Element element)`
`static org.w3c.dom.Node` | `parent(org.w3c.dom.Node node)`
`static void` | `putAt(org.w3c.dom.Element self, String property, Object value)`
`static void` | `setValue(org.w3c.dom.Element self, String value)`
`static int` | `size(org.w3c.dom.NamedNodeMap namedNodeMap)`
`static int` | `size(org.w3c.dom.NodeList self)`
`static String` | `text(org.w3c.dom.Node node)`
`static String` | `text(org.w3c.dom.NodeList nodeList)`
`static String` | `toString(Object o)`
`static Object` | `xpath(org.w3c.dom.Node self, String expression, def returnType)`
`static String` | `xpath(org.w3c.dom.Node self, String expression)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### DOMCategory

    DOMCategory()

Method Detail

### appendNode

    public static org.w3c.dom.Element appendNode(org.w3c.dom.Element self, Object name)

### appendNode

    public static org.w3c.dom.Element appendNode(org.w3c.dom.Element self, Object name, Map attributes)

### appendNode

    public static org.w3c.dom.Element appendNode(org.w3c.dom.Element self, Object name, String value)

### appendNode

    public static org.w3c.dom.Element appendNode(org.w3c.dom.Element self, Object name, Map attributes, String value)

### attributes

    public static org.w3c.dom.NamedNodeMap attributes(org.w3c.dom.Element element)

### breadthFirst

    public static org.w3c.dom.NodeList breadthFirst(org.w3c.dom.Element self)

### children

    public static org.w3c.dom.NodeList children(org.w3c.dom.Element self)

### depthFirst

    public static org.w3c.dom.NodeList depthFirst(org.w3c.dom.Element self)

### get

    public static Object get(org.w3c.dom.Element element, String elementName)

### get

    public static Object get(org.w3c.dom.NodeList nodeList, String elementName)

### get

    public static Object get(org.w3c.dom.NamedNodeMap nodeMap, String elementName)

### getAt

    public static org.w3c.dom.Node getAt(org.w3c.dom.Node o, int i)

### getAt

    public static org.w3c.dom.Node getAt(NodeListsHolder o, int i)

### getAt

    public static org.w3c.dom.Node getAt(NodesHolder o, int i)

### isEmpty

    public static boolean isEmpty(org.w3c.dom.NodeList self)

### list

    public static List list(org.w3c.dom.NodeList self)

### name

    public static String name(org.w3c.dom.Element element)

### parent

    public static org.w3c.dom.Node parent(org.w3c.dom.Node node)

### putAt

    public static void putAt(org.w3c.dom.Element self, String property, Object value)

### setValue

    public static void setValue(org.w3c.dom.Element self, String value)

### size

    public static int size(org.w3c.dom.NamedNodeMap namedNodeMap)

### size

    public static int size(org.w3c.dom.NodeList self)

### text

    public static String text(org.w3c.dom.Node node)

### text

    public static String text(org.w3c.dom.NodeList nodeList)

### toString

    public static String toString(Object o)

### xpath

    public static Object xpath(org.w3c.dom.Node self, String expression, def returnType)

### xpath

    public static String xpath(org.w3c.dom.Node self, String expression)

Copyright © 2003-2009 The Codehaus. All rights reserved.